import * as react_jsx_runtime from 'react/jsx-runtime';
import { SVGAttributes, CSSProperties, PureComponent } from 'react';

type IconSVGProps = SVGAttributes<SVGElement> & {
    size?: 'tiny' | 'small' | 'medium' | 'large' | 'xlarge' | '2xlarge' | 'default' | 'custom' | '';
    customSize?: number;
};
type IconMetadata = {
    title: string;
    category: string | undefined;
    description: string | undefined;
    /** tags to be used for searching icons in storybook */
    tags: Array<string>;
    sizes: Record<string, string>;
    /** some icons have duplicates under different names,
     * lists all files that are described by this metadata */
    aliases?: Array<string>;
    style?: CSSProperties;
};

declare class Add extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Archive extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Block extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Build extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Compose extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Confirm extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ContentFilter extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Delete extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Design extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Dismiss extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DistributeGlobe extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DocDuplicate extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DownloadImport extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Duplicate extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Edit extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class EmptyTrash extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Enter extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Exit extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Freeze extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class GetStarted extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class HideSidebar extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Link extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Merge extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Minus$1 extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class More extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class MoreVertical extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Pin extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PinFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Preview extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Print extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Promote extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PromoteFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class QuickAccess extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Refresh extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Replace extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Revert extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Search extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Send extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Share extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Shipping extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ShowSidebar extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SidebarDock extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SidebarUndock extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Site extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SiteAdd extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SiteDuplicate extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SiteMove extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SiteSearch extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Tag extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TaskAdd extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TaskComplete extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Unarchive extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Unlink extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class UploadExport extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ArrowDown extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ArrowDownRight extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ArrowLeft extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ArrowRight extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ArrowUp extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronCollapse extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronDown extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronDownCircle extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronDownLarge extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronExpand extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronLeft extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronLeftCircle extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronLeftLarge extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronRight extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronRightCircle extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronRightLarge extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronUp extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronUpCircle extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChevronUpLarge extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Apple extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Facebook extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class GitHub extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Google extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class GoogleAds extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Instagram extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LinkedIn extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Microsoft extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Microsoft365 extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Naver extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Pinterest extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SoundCloud extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TikTok extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Twitter extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Vimeo extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Whatsapp extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class YandexEN extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class YandexRu extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Youtube extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class YoutubeFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Check extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Minus extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class CallEnded extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class CallMissed extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Chat extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChatDisabled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChatFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChatReply extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Email extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class EmailAlert extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class EmailClick extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class EmailFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class EmailOpen extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class EmailSend extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Inbox extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Phone extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PhoneFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Adjust extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Brightness extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Contrast extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Exposure extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FaceFemale extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Highlights extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class IndoorLight extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class RoundCorner extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class RoundedCorner extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Scenery extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Shadows extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Sharpness extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SquareCorner extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Temperature extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TShirt extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Vignette extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Volume extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Checkbox extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Dropdown extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ESignature extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class MultiSelect extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class RadioButtonGroup extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class UserName extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Comment extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class CommentAdd extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Crop extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class CropRotate extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class CutOut extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Focus extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class MirrorHorizontal extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class MirrorVertical extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Redo extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class RotateLeft extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class RotateRight extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Undo extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ZoomIn extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ZoomOut extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DropShadowBottom extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DropShadowLeft extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DropShadowRight extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Filters extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Overlay extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class AlignBottom extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class AlignCenterHorizontally extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class AlignCenterVertically extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class AlignLeft extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class AlignRight extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class AlignTop extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Background extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Backward extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class BackwardBottom extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DistributeHorizontally extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DistributeVertically extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Forward extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ForwardTop extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Layers extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PaddingBottom extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PaddingHorizontal extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PaddingLeft extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PaddingRight extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PaddingTop extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PaddingVertical extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Bow extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Divider extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Number extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Objects extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class HorizontalRatio extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class HorizontalRatioChecked extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SizeAndRatio extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SquareRatio extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SquareRatioChecked extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class VerticalRatio extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class VerticalRatioChecked extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class CircleLarge extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Exclude extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Intersect extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class RectangleLarge extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Substract extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TriangleLarge extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Union extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ColorDrop extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class MagicWand extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PanTool extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PickColor extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Rename extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SeatSelectionTool extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SelectionTool extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class AdmissionArea extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Bar extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Checkroom extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Elevator extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class MultiRow extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SeatRow extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Smoking extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Stage extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Stairs extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TableRound extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TableSquare extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Wc extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class WcMen extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class WcWomen extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Date extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DateAdd extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DateAndTime extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DateChecked extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DateSync extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class History extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Time extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Timer extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Update extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Attachement extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DocExpire extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DocMoveto extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DocSend extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Document extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DynamicPage extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Folder extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FolderAdd extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FolderFind extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FolderMove extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class MoveTo extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Transfer extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Drag extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DragGrid extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DragGridLocked extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Move extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Cutlery extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ExtraHot extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Food extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FoodInStock extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FoodOutOfStock extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class GlutenFree extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Hot extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Organic extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Spicy extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Vegan extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Vegetarian extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Asterisk extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DropdownArrow extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TickerDown extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Tickers extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TickerUp extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Accessibility extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Activity extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class App extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class AppMarket extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Article extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Automations extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class AutomationsFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Badge extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class BadgeFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class BarChartSplit extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class BonusGift extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Category extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Checklist extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class CircleSmallFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Cloud extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Code extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class CodeArray extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class CodeObject extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Collections extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Coupon extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Database extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DataCollection extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DataConnect extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DataDisconnect extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Desktop extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DesktopDisabled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Discount extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ExternalLink extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FaceDisapointed extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FaceFrowning extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FaceGrining extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FaceNeutral extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FaceSmiling extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Fax extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Feed extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FunnelChart extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Gift extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Globe extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class HeatmapChart extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Help extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class HelpCircle extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Hint extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Home extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Hotel extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Info extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class InfoCircle extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class InfoCircleFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Integrations extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Keypad extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Languages extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LineChart extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LineChartSplit extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Location extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Map extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Menu extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Mobile extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class MobileLandscape extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Multireference extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class NewRelease extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Note extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Notification extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class OpenModal extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PenNib extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PenNibAdd extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PieChart extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Public extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class QR extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Reference extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class RelatedApps extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Rule extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Server extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Settings extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SiteApp extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Smile extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Sparkles extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SparklesFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Statistics extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TableChart extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TableChartCol extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TableChartColRow extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TableChartRow extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TableReservation extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Tablet extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TabletLandscape extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Template extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Terminal extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Toolbox extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Webhook extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class EmptyAction extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class EmptyBox extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class EmptyLayers extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class EmptyNotification extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class EmptyRevision extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class GlobalLocked extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class NoResultFound extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChangeOrder extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LayoutFourColumns extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LayoutGallery extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LayoutGalleryWithPanel extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LayoutList extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LayoutListWithPanel extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LayoutSplit extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LayoutThreeColumns extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LayoutTwoColumns extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class List extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SortAscending extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SortAZ extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SortDescending extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SortZA extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class AddChannel extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ExitFullScreen extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FullScreen extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Image extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Maximize extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class MediaProofing extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Microphone extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class MicrophoneDisabled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Minimise extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Music extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Pause extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PauseFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PhotoCamera extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Play extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class PlayFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Reels extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Sound extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SoundOff extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Stop extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StopFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class VideoCamera extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class VideoCameraDisabled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class CancelOrder extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Cart extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class CreditCard extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Currency extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Invoice extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Order extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class OrderAdd extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Payment extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class RecurringPayment extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Refund extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Tax extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class BreadcrumbsChevronRight extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ChildItemArrow extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class VideoError extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class VideoSuccess extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class VideoUpload extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SortByDown extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SortByUp extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Bold extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class BulletList extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ClearFormat extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class DiamondSmallFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class H1 extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class H2 extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class H3 extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class H4 extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class H5 extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class H6 extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class IndentList extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Italic extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LeftToRight extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TextLink extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LowerCase extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class NumberedList extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Quote extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class RichText extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class RightToLeft extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class SentenceCase extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StrikeThrough extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Table extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TextAlignCenter extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TextAlignLeft extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TextAlignRight extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TextJustify extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class TextSettings extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class UndentList extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Underline extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class UpperCase extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Bookmark extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class BookmarkFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Favorite extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FavoriteFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Flag extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FlagDismiss extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FlagFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class FlagFind extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Heart extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class HeartFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Hidden extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LockLocked extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class LockUnlocked extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StatusAlert extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StatusAlertFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StatusAlertPlain extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StatusComplete extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StatusCompleteFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StatusIndeterminate extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StatusIndeterminateFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StatusStop extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StatusWarning extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class StatusWarningFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ThumbsDown extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ThumbsDownFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ThumbsUp extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class ThumbsUpFilled extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Visible extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class AdminAccess extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class User extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class UserAdd extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class UserBlock extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class UserChecked extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class UserJoin extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class UserLeave extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class UserRemove extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class Users extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

declare class UserSearch extends PureComponent<IconSVGProps> {
    static displayName: string;
    static dataConfigs: IconMetadata | {};
    render(): react_jsx_runtime.JSX.Element;
}

export { Accessibility, Activity, Add, AddChannel, Adjust, AdminAccess, AdmissionArea, AlignBottom, AlignCenterHorizontally, AlignCenterVertically, AlignLeft, AlignRight, AlignTop, App, AppMarket, Apple, Archive, ArrowDown, ArrowDownRight, ArrowLeft, ArrowRight, ArrowUp, Article, Asterisk, Attachement, Automations, AutomationsFilled, Background, Backward, BackwardBottom, Badge, BadgeFilled, Bar, BarChartSplit, Block, Bold, BonusGift, Bookmark, BookmarkFilled, Bow, BreadcrumbsChevronRight, Brightness, Build, BulletList, CallEnded, CallMissed, CancelOrder, Cart, Category, ChangeOrder, Chat, ChatDisabled, ChatFilled, ChatReply, Check, Checkbox, Minus as CheckboxToggleMinus, Checklist, Checkroom, ChevronCollapse, ChevronDown, ChevronDownCircle, ChevronDownLarge, ChevronExpand, ChevronLeft, ChevronLeftCircle, ChevronLeftLarge, ChevronRight, ChevronRightCircle, ChevronRightLarge, ChevronUp, ChevronUpCircle, ChevronUpLarge, ChildItemArrow, CircleLarge, CircleSmallFilled, ClearFormat, Cloud, Code, CodeArray, CodeObject, Collections, ColorDrop, Comment, CommentAdd, Compose, Confirm, ContentFilter, Contrast, Coupon, CreditCard, Crop, CropRotate, Currency, CutOut, Cutlery, DataCollection, DataConnect, DataDisconnect, Database, Date, DateAdd, DateAndTime, DateChecked, DateSync, Delete, Design, Desktop, DesktopDisabled, DiamondSmallFilled, Discount, Dismiss, DistributeGlobe, DistributeHorizontally, DistributeVertically, Divider, DocDuplicate, DocExpire, DocMoveto, DocSend, Document, DownloadImport, Drag, DragGrid, DragGridLocked, DropShadowBottom, DropShadowLeft, DropShadowRight, Dropdown, DropdownArrow, Duplicate, DynamicPage, ESignature, Edit, Elevator, Email, EmailAlert, EmailClick, EmailFilled, EmailOpen, EmailSend, EmptyAction, EmptyBox, EmptyLayers, EmptyNotification, EmptyRevision, EmptyTrash, Enter, Exclude, Exit, ExitFullScreen, Exposure, ExternalLink, ExtraHot, FaceDisapointed, FaceFemale, FaceFrowning, FaceGrining, FaceNeutral, FaceSmiling, Facebook, Favorite, FavoriteFilled, Fax, Feed, Filters, Flag, FlagDismiss, FlagFilled, FlagFind, Focus, Folder, FolderAdd, FolderFind, FolderMove, Food, FoodInStock, FoodOutOfStock, Forward, ForwardTop, Freeze, FullScreen, FunnelChart, GetStarted, Gift, GitHub, GlobalLocked, Globe, GlutenFree, Google, GoogleAds, H1, H2, H3, H4, H5, H6, Heart, HeartFilled, HeatmapChart, Help, HelpCircle, Hidden, HideSidebar, Highlights, Hint, History, Home, HorizontalRatio, HorizontalRatioChecked, Hot, Hotel, Image, Inbox, IndentList, IndoorLight, Info, InfoCircle, InfoCircleFilled, Instagram, Integrations, Intersect, Invoice, Italic, Keypad, Languages, Layers, LayoutFourColumns, LayoutGallery, LayoutGalleryWithPanel, LayoutList, LayoutListWithPanel, LayoutSplit, LayoutThreeColumns, LayoutTwoColumns, LeftToRight, LineChart, LineChartSplit, Link, LinkedIn, List, Location, LockLocked, LockUnlocked, LowerCase, MagicWand, Map, Maximize, MediaProofing, Menu, Merge, Microphone, MicrophoneDisabled, Microsoft, Microsoft365, Minimise, Minus$1 as Minus, MirrorHorizontal, MirrorVertical, Mobile, MobileLandscape, More, MoreVertical, Move, MoveTo, MultiRow, MultiSelect, Multireference, Music, Naver, NewRelease, NoResultFound, Note, Notification, Number, NumberedList, Objects, OpenModal, Order, OrderAdd, Organic, Overlay, PaddingBottom, PaddingHorizontal, PaddingLeft, PaddingRight, PaddingTop, PaddingVertical, PanTool, Pause, PauseFilled, Payment, PenNib, PenNibAdd, Phone, PhoneFilled, PhotoCamera, PickColor, PieChart, Pin, PinFilled, Pinterest, Play, PlayFilled, Preview, Print, Promote, PromoteFilled, Public, QR, QuickAccess, Quote, RadioButtonGroup, RectangleLarge, RecurringPayment, Redo, Reels, Reference, Refresh, Refund, RelatedApps, Rename, Replace, Revert, RichText, RightToLeft, RotateLeft, RotateRight, RoundCorner, RoundedCorner, Rule, Scenery, Search, SeatRow, SeatSelectionTool, SelectionTool, Send, SentenceCase, Server, Settings, Shadows, Share, Sharpness, Shipping, ShowSidebar, SidebarDock, SidebarUndock, Site, SiteAdd, SiteApp, SiteDuplicate, SiteMove, SiteSearch, SizeAndRatio, Smile, Smoking, SortAZ, SortAscending, SortByDown, SortByUp, SortDescending, SortZA, Sound, SoundCloud, SoundOff, Sparkles, SparklesFilled, Spicy, SquareCorner, SquareRatio, SquareRatioChecked, Stage, Stairs, Statistics, StatusAlert, StatusAlertFilled, StatusAlertPlain, StatusComplete, StatusCompleteFilled, StatusIndeterminate, StatusIndeterminateFilled, StatusStop, StatusWarning, StatusWarningFilled, Stop, StopFilled, StrikeThrough, Substract, TShirt, Table, TableChart, TableChartCol, TableChartColRow, TableChartRow, TableReservation, TableRound, TableSquare, Tablet, TabletLandscape, Tag, TaskAdd, TaskComplete, Tax, Temperature, Template, Terminal, TextAlignCenter, TextAlignLeft, TextAlignRight, TextJustify, TextLink, TextSettings, ThumbsDown, ThumbsDownFilled, ThumbsUp, ThumbsUpFilled, TickerDown, TickerUp, Tickers, TikTok, Time, Timer, Toolbox, Transfer, TriangleLarge, Twitter, Unarchive, UndentList, Underline, Undo, Union, Unlink, Update, UploadExport, UpperCase, User, UserAdd, UserBlock, UserChecked, UserJoin, UserLeave, UserName, UserRemove, UserSearch, Users, Vegan, Vegetarian, VerticalRatio, VerticalRatioChecked, VideoCamera, VideoCameraDisabled, VideoError, VideoSuccess, VideoUpload, Vignette, Vimeo, Visible, Volume, Wc, WcMen, WcWomen, Webhook, Whatsapp, YandexEN, YandexRu, Youtube, YoutubeFilled, ZoomIn, ZoomOut };
